\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Polyline Simplification

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions
CGAL::Polyline_simplification_2::Polyline_simplification_2< PCT, CostFunction, StopFunction >::Id_map Struct Reference

`#include <CGAL/Polyline_simplification_2/simplify.h>`

## Inherits from

put_get_helper< std::size_t, Id_map >.

## Public Types
typedef boost::readable_property_map_tag | category
typedef std::size_t | value_type
typedef value_type | reference
typedef Vertices_in_constraint_iterator | key_type

## Public Member Functions
reference | operator[] (key_type const &x) const